package com.ejie.ab78.dao.denuncias;

import java.util.List;

import com.ejie.ab78.model.denuncias.IrregularidadDenuncia;
import com.ejie.x38.dto.TableRequestDto;

/**
 * DenunciasDao  
 * 
 *  
 */

public interface IrregularidadesDenunciaDao {

	IrregularidadDenuncia add(IrregularidadDenuncia irregularidadDenuncia);

	IrregularidadDenuncia update(IrregularidadDenuncia irregularidadDenuncia);

	IrregularidadDenuncia delete(IrregularidadDenuncia irregularidadDenuncia);

	IrregularidadDenuncia find(IrregularidadDenuncia irregularidadDenuncia);

	List<IrregularidadDenuncia> findAll(IrregularidadDenuncia irregularidadDenuncia, TableRequestDto tableRequestDto);

	List<IrregularidadDenuncia> findAllLike(IrregularidadDenuncia irregularidadDenuncia,
			TableRequestDto tableRequestDto, Boolean startsWith);

	Long findAllLikeCount(IrregularidadDenuncia irregularidadDenuncia, Boolean startsWith);

	Long findAllCount(IrregularidadDenuncia irregularidadDenuncia);

}
